Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 679858 - media-libs/openimageio causes: media-gfx/gimp-2.10.10 - sandbox violation in mkdir /usr/share/fonts/OpenImageIO/.uuid.TMP-XXXXXX
Summary: media-libs/openimageio causes: media-gfx/gimp-2.10.10 - sandbox violation in ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Aisha Tammy
URL:
Whiteboard:
Keywords: PullRequest
Depends on: 677666
Blocks:
  Show dependency tree
 
Reported: 2019-03-09 16:52 UTC by Samuel Bernardo
Modified: 2020-12-03 05:20 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.tar.gz (build.log.tar.gz,115.84 KB, application/gzip-compressed-tar)
2019-03-09 16:52 UTC, Samuel Bernardo
Details
build log (build.log.gz,115.72 KB, application/gzip)
2019-03-10 11:31 UTC, Samuel Bernardo
Details
media-gfx/gimp-2.10.10 build log (media-gfx:gimp-2.10.10:20190423-105813.log.gz,223.19 KB, application/gzip)
2019-04-23 12:30 UTC, Erik Zeek
Details
gimp-2.10.12 build log (build.log.gz,346.84 KB, application/gzip)
2019-07-08 11:01 UTC, Tomasz Golinski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Bernardo 2019-03-09 16:52:24 UTC
Created attachment 568326 [details]
build.log.tar.gz

Compilation fails with access violation reported.
Review attachment.
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2019-03-10 02:47:39 UTC
Comment on attachment 568326 [details]
build.log.tar.gz

Why do you attach a single file in a compressed tar? You can just compress the file itself and do away with tar entirely.
Comment 2 Samuel Bernardo 2019-03-10 11:31:01 UTC
Created attachment 568392 [details]
build log

I don't know how to remove my last submitted attachment that went in tar unnecessarily.

Any help to remove it would be appreciated.
Comment 3 Samuel Bernardo 2019-03-10 12:28:43 UTC
With current portage sync I could compile and install gimp 2.10.8-r1.

Open it and tested and everything seems to be working fine, including graphic acceleration.

Thanks
Comment 4 Erik Zeek 2019-04-23 12:30:46 UTC
Created attachment 573856 [details]
media-gfx/gimp-2.10.10 build log

This has returned in media-gfx/gimp-2.10.10
Comment 5 Tomasz Golinski 2019-07-08 11:01:38 UTC
Created attachment 582162 [details]
gimp-2.10.12 build log

It seems gimp-2.10.12 is also affected. Offending fonts seem to come from various Texlive packages like dev-texlive/texlive-mathscience-2019 or dev-texlive/texlive-fontsextra-2019.
Comment 6 Tomasz Golinski 2019-07-12 00:11:12 UTC
media-gfx/krita-4.1.8-r1 is also affected by the same thing.
Comment 7 zlg 2019-10-19 23:48:53 UTC
I've experienced the same thing, though with media-fonts/monafont instead.

It seems a build system variable should probably be set to point tempfiles to write to $D instead of the live filesystem.
Comment 8 Jeff Kowalczyk 2019-10-22 17:13:18 UTC
I'm getting the same behavior on ~amd64 with media-gfx/gimp-2.10.12. All of the access violations are all of texlive fonts:

grep -c "ACCESS DENIED" gimp-build.log
97682

grep "ACCESS DENIED" gimp-build.log |grep -v texmf -c
0

I recently enabled texlive fonts as an experiment to see if more glyphs rendered in Emacs, and this fontconfig seems to be causing the access violation problem:

eselect fontconfig list |grep tex
  [1]   09-texlive.conf *

Deactivating the texlive fontconfig allows media-gfx/gimp-2.10.12 to emerge successfully:

eselect fontconfig list |grep tex
  [1]   09-texlive.conf
Comment 9 Sebastian Pipping gentoo-dev 2019-10-24 06:38:28 UTC
@graphics could you have a look if there is a chance that media-libs/openimageio is causing this?
Comment 10 Tomasz Golinski 2019-10-24 08:16:02 UTC
The same problem was affecting me at some time without having OpenImageIO installed (see build log attached above in Comment 5).
Comment 11 Sebastian Pipping gentoo-dev 2019-10-26 18:36:45 UTC
I'm starting to think that maybe the gimp ebuild should update the font cache during pkg_setup even when the fonts are causing the problem.  It would save everyone having to deal with the same thing again and again.
Comment 12 Conrad Kostecki gentoo-dev 2019-10-26 19:23:29 UTC
(In reply to Sebastian Pipping from comment #11)
> I'm starting to think that maybe the gimp ebuild should update the font
> cache during pkg_setup even when the fonts are causing the problem.  It
> would save everyone having to deal with the same thing again and again.

In terms of user experience, this makes sense. But I am afraid, if other packages also do not rebuild the font cache, this could leave to unfixed packages?
Comment 13 Sebastian Pipping gentoo-dev 2019-10-27 14:31:16 UTC
(In reply to Conrad Kostecki from comment #12)
> In terms of user experience, this makes sense. But I am afraid, if other
> packages also do not rebuild the font cache, this could leave to unfixed
> packages?

That's a good point!
Comment 14 Joaquim G Santos 2020-06-11 12:16:25 UTC
Good morning,

Had this issue upgrading gimp... following it, I found bug https://bugs.gentoo.org/666418

Upgrading to =media-libs/fontconfig-2.13.1-r2 solved the problem.

Have a nice day,
Comment 15 tonemgub 2020-10-29 18:37:17 UTC
Just bumped into this problem today. As previous comments mention - the font cache needs to be rebuilt. It's a missing hook somewhere.

I already had the latest version of media-libs/fontconfig but it still failed for some reason with access violations. So I re-emerged media-libs/fontconfig and then media-gfx/gimp. I believe the re-emerge forces a font cache refresh. Now it is working.
Comment 16 Aisha Tammy 2020-11-16 20:08:04 UTC
Seems to have been resolved by upgrading fontconfig (shouldn't have been a bug for openimageio).

Marking fixed and resolved.
Comment 17 Aisha Tammy 2020-11-16 22:19:44 UTC
apologies, I prematurely closed this x(
Comment 18 Larry the Git Cow gentoo-dev 2020-12-03 05:20:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b8a98d5fb28db30e04dd0d9e8c028ddc3ecd18b

commit 4b8a98d5fb28db30e04dd0d9e8c028ddc3ecd18b
Author:     Aisha Tammy <gentoo@aisha.cc>
AuthorDate: 2020-11-16 22:43:50 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-12-03 05:09:58 +0000

    media-libs/openimageio: fix font installation
    
    Closes: https://bugs.gentoo.org/679858
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Aisha Tammy <gentoo@aisha.cc>
    Signed-off-by: Sam James <sam@gentoo.org>

 ...o-2.2.8.0.ebuild => openimageio-2.2.8.0-r1.ebuild} | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)